package com.isu.gaswellwatch.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.Device;
import com.isu.gaswellwatch.vo.DeviceVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface DeviceDao extends BaseMapper<Device> {

    Page<DeviceVO> page(Page<Object> page,
                        @Param("gasWellName") String gasWellName,
                        @Param("gasStationName") String gasStationName,
                        @Param("deviceTypeId") Long deviceTypeId);


    DeviceVO getDeviceById(@Param("id") Long id);
}

